GCLOUD_SOURCE_REPOS_CLONE(1)

NAME

gcloud source repos clone - clone a cloud source repository

SYNOPSIS

gcloud source repos clone REPOSITORY_NAME [DIRECTORY_NAME] [--dry-run] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
This command clones a git repository for the currently active Google Cloud Platform project into the specified directory or into the current directory if no target directory is specified. This command gives a warning if the cloud source repository is a mirror. The clone operation configures the local clone to use your gcloud credentials to authenticate future git operations.

POSITIONAL ARGUMENTS

    REPOSITORY_NAME
        Name of the repository.

    [DIRECTORY_NAME]
        Directory name for the cloned repo. Defaults to the repository name.

FLAGS

    --dry-run
        If provided, prints the command that would be run to standard out instead of executing it.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
The example commands below show a sample workflow.
    $ gcloud init $ gcloud source repos clone REPOSITORY_NAME DIRECTORY_NAME $ cd DIRECTORY_NAME $ git push origin master